Index: /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 766)
+++ /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 767)
@@ -76,9 +76,6 @@
 #endif
   
-#if CAM_HLS_F0136_F0045_F0082
+#if H_3D
   vps.createCamPars(m_iNumberOfViews);
-#endif
-
-#if DLT_DIFF_CODING_IN_PPS
   TComDLT& dlt = m_dlt;
 #endif
@@ -134,7 +131,5 @@
   xSetVPSExtension2        ( vps ); 
   m_ivPicLists.setVPS      ( &vps );
-#if DLT_DIFF_CODING_IN_PPS
   xDeriveDltArray          ( vps, dlt );
-#endif
 #endif
 
@@ -216,5 +211,5 @@
   m_cTEncTop.setVPS(&vps);
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   m_cTEncTop.setDLT(&dlt);
 #endif
@@ -778,5 +773,5 @@
 Void TAppEncTop::xInitLib(Bool isFieldCoding)
 {
-#if CAM_HLS_F0136_F0045_F0082
+#if H_3D
   for ( Int viewIndex = 0; viewIndex < m_vps.getNumViews(); viewIndex++ )
   {
@@ -1252,9 +1247,5 @@
 
 #if H_3D_DIM_DLT
-#if DLT_DIFF_CODING_IN_PPS
 Void TAppEncTop::xAnalyzeInputBaseDepth(UInt layer, UInt uiNumFrames, TComVPS* vps, TComDLT* dlt)
-#else
-Void TAppEncTop::xAnalyzeInputBaseDepth(UInt layer, UInt uiNumFrames, TComVPS* vps)
-#endif
 {
   TComPicYuv*       pcDepthPicYuvOrg = new TComPicYuv;
@@ -1316,20 +1307,12 @@
   if( uiNumFrames == 0 || numBitsForValue(iNumDepthValues) == g_bitDepthY )
   {
-#if DLT_DIFF_CODING_IN_PPS
     dlt->setUseDLTFlag(layer, false);
-#else
-    // don't use DLT
-    vps->setUseDLTFlag(layer, false);
-#endif
   }
   
   // assign LUT
-#if DLT_DIFF_CODING_IN_PPS
   if( dlt->getUseDLTFlag(layer) )
+  {
     dlt->setDepthLUTs(layer, aiIdx2DepthValue, iNumDepthValues);
-#else
-  if( vps->getUseDLTFlag(layer) )
-    vps->setDepthLUTs(layer, aiIdx2DepthValue, iNumDepthValues);
-#endif
+  }
   
   // free temporary memory
@@ -1877,5 +1860,4 @@
 Void TAppEncTop::xSetVPSExtension2( TComVPS& vps )
 {
-
   for ( Int layer = 0; layer <= vps.getMaxLayersMinus1(); layer++ )
   {
@@ -1900,13 +1882,4 @@
 #if H_3D_DIM
     vps.setVpsDepthModesFlag( layer, isDepth && !isLayerZero && (m_useDMM || m_useSDC || m_useDLT ) );
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-    vps.setUseDLTFlag( layer , isDepth && m_useDLT );
-    if( vps.getUseDLTFlag( layer ) )
-    {
-      xAnalyzeInputBaseDepth(layer, max(  m_iIntraPeriod[layer], 24), &vps);
-    }
-#endif
-#endif
 #endif
 
@@ -1938,7 +1911,5 @@
 #endif
 }
-#endif
-
-#if DLT_DIFF_CODING_IN_PPS
+
 Void TAppEncTop::xDeriveDltArray( TComVPS& vps, TComDLT& dlt )
 {
Index: /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.h
===================================================================
--- /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.h	(revision 766)
+++ /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.h	(revision 767)
@@ -86,5 +86,5 @@
 #endif
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   TComDLT                    m_dlt;                         ///< dlt
 #endif
@@ -136,14 +136,8 @@
 #if H_3D
   Void xSetVPSExtension2( TComVPS& vps );
-#endif
-#if DLT_DIFF_CODING_IN_PPS
   Void xDeriveDltArray( TComVPS& vps, TComDLT& dlt );
 #endif
 #if H_3D_DIM_DLT
-#if DLT_DIFF_CODING_IN_PPS
   Void  xAnalyzeInputBaseDepth(UInt layer, UInt uiNumFrames, TComVPS* vps, TComDLT* dlt);
-#else
-  Void  xAnalyzeInputBaseDepth(UInt layer, UInt uiNumFrames, TComVPS* vps);
-#endif
 #endif
 public:
Index: /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 767)
@@ -769,9 +769,5 @@
 Void TComSlice::setCamparaSlice( Int** aaiScale, Int** aaiOffset )
 {  
-#if CAM_HLS_F0136_F0045_F0082
   if( m_pcVPS->hasCamParInSliceHeader( m_viewIndex ) )
-#else
-  if( m_pcSPS->hasCamParInSliceHeader() )
-#endif
   {    
     for( UInt uiBaseViewIndex = 0; uiBaseViewIndex < m_viewIndex; uiBaseViewIndex++ )
@@ -1789,24 +1785,4 @@
     m_viewIndex         [i] = -1; 
     m_vpsDepthModesFlag [i] = false;
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-    m_bUseDLTFlag         [i] = false;
-    
-    // allocate some memory and initialize with default mapping
-    m_iNumDepthmapValues[i] = ((1 << g_bitDepthY)-1)+1;
-    m_iBitsPerDepthValue[i] = numBitsForValue(m_iNumDepthmapValues[i]);
-    
-    m_iDepthValue2Idx[i]    = (Int*) xMalloc(Int, m_iNumDepthmapValues[i]);
-    m_iIdx2DepthValue[i]    = (Int*) xMalloc(Int, m_iNumDepthmapValues[i]);
-    
-    //default mapping
-    for (Int d=0; d<m_iNumDepthmapValues[i]; d++)
-    {
-      m_iDepthValue2Idx[i][d] = d;
-      m_iIdx2DepthValue[i][d] = d;
-    }
-#endif
-#endif
-#if H_3D
     m_ivMvScalingFlag = true; 
 #endif
@@ -1856,10 +1832,9 @@
   }  
 #endif
-#endif
 }
 
 TComVPS::~TComVPS()
 {
-if( m_hrdParameters    != NULL )     delete[] m_hrdParameters;
+  if( m_hrdParameters    != NULL )     delete[] m_hrdParameters;
   if( m_hrdOpSetIdx      != NULL )     delete[] m_hrdOpSetIdx;
   if( m_cprmsPresentFlag != NULL )     delete[] m_cprmsPresentFlag;
@@ -1871,90 +1846,10 @@
   {
     if (m_repFormat[ i ] != NULL )      delete m_repFormat[ i ];    
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-    if ( m_iDepthValue2Idx[i] != 0 ) 
-    {
-       xFree( m_iDepthValue2Idx[i] );
-       m_iDepthValue2Idx[i] = 0; 
-    }
-
-    if ( m_iIdx2DepthValue[i] != 0 ) 
-    {
-      xFree( m_iIdx2DepthValue[i] );
-      m_iIdx2DepthValue[i] = 0; 
-    }
-#endif
-#endif
-  }
-#endif
-#if CAM_HLS_F0136_F0045_F0082
+  }
+#endif
+#if H_3D
   deleteCamPars();
 #endif
 }
-
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-  Void TComVPS::setDepthLUTs(Int layerIdInVps, Int* idxToDepthValueTable, Int iNumDepthValues)
-  {
-    if( idxToDepthValueTable == NULL || iNumDepthValues == 0 ) // default mapping only
-      return;
-    
-    // copy idx2DepthValue to internal array
-    memcpy(m_iIdx2DepthValue[layerIdInVps], idxToDepthValueTable, iNumDepthValues*sizeof(UInt));
-    
-    UInt uiMaxDepthValue = ((1 << g_bitDepthY)-1);
-    for(Int p=0; p<=uiMaxDepthValue; p++)
-    {
-      Int iIdxDown    = 0;
-      Int iIdxUp      = iNumDepthValues-1;
-      Bool bFound     = false;
-      
-      // iterate over indices to find lower closest depth
-      Int i = 1;
-      while(!bFound && i<iNumDepthValues)
-      {
-        if( m_iIdx2DepthValue[layerIdInVps][i] > p )
-        {
-          iIdxDown  = i-1;
-          bFound    = true;
-        }
-        
-        i++;
-      }
-      // iterate over indices to find upper closest depth
-      i = iNumDepthValues-2;
-      bFound = false;
-      while(!bFound && i>=0)
-      {
-        if( m_iIdx2DepthValue[layerIdInVps][i] < p )
-        {
-          iIdxUp  = i+1;
-          bFound    = true;
-        }
-        
-        i--;
-      }
-      
-      // assert monotony
-      assert(iIdxDown<=iIdxUp);
-      
-      // assign closer depth value/idx
-      if( abs(p-m_iIdx2DepthValue[layerIdInVps][iIdxDown]) < abs(p-m_iIdx2DepthValue[layerIdInVps][iIdxUp]) )
-      {
-        m_iDepthValue2Idx[layerIdInVps][p] = iIdxDown;
-      }
-      else
-      {
-        m_iDepthValue2Idx[layerIdInVps][p] = iIdxUp;
-      }
-      
-    }
-    
-    // update DLT variables
-    m_iNumDepthmapValues[layerIdInVps] = iNumDepthValues;
-    m_iBitsPerDepthValue[layerIdInVps] = numBitsForValue(m_iNumDepthmapValues[layerIdInVps]);
-  }
-#endif
-#endif
 
 #if H_MV
@@ -2043,5 +1938,5 @@
   return foundLayerIdinNuh;
 }
-#if CAM_HLS_F0136_F0045_F0082
+
 Void TComVPS::createCamPars(Int iNumViews)
 {
@@ -2132,5 +2027,4 @@
   }
 }
-#endif // CAM_HLS_F0136_F0045_F0082
 
 #endif // H_3D
@@ -2491,5 +2385,5 @@
 , m_ppsInferScalingListFlag(false)
 , m_ppsScalingListRefLayerId(0)
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
 , m_pcDLT(NULL)
 #endif
@@ -2514,5 +2408,5 @@
 }
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
 TComDLT::TComDLT()
 : m_bDltPresentFlag(false)
@@ -2740,29 +2634,5 @@
 }
 #endif
-#if H_3D
-#if !CAM_HLS_F0136_F0045_F0082
-Void
-TComSPS::initCamParaSPS( UInt uiViewIndex, UInt uiCamParPrecision, Bool bCamParSlice, Int** aaiScale, Int** aaiOffset )
-{
-  AOT( uiViewIndex != 0 && !bCamParSlice && ( aaiScale == 0 || aaiOffset == 0 ) );  
-  
-  m_uiCamParPrecision     = ( uiViewIndex ? uiCamParPrecision : 0 );
-  m_bCamParInSliceHeader  = ( uiViewIndex ? bCamParSlice  : false );
-  ::memset( m_aaiCodedScale,  0x00, sizeof( m_aaiCodedScale  ) );
-  ::memset( m_aaiCodedOffset, 0x00, sizeof( m_aaiCodedOffset ) );
-
-  if( !m_bCamParInSliceHeader )
-  {
-    for( UInt uiBaseViewIndex = 0; uiBaseViewIndex < uiViewIndex; uiBaseViewIndex++ )
-    {
-      m_aaiCodedScale [ 0 ][ uiBaseViewIndex ] = aaiScale [ uiBaseViewIndex ][     uiViewIndex ];
-      m_aaiCodedScale [ 1 ][ uiBaseViewIndex ] = aaiScale [     uiViewIndex ][ uiBaseViewIndex ];
-      m_aaiCodedOffset[ 0 ][ uiBaseViewIndex ] = aaiOffset[ uiBaseViewIndex ][     uiViewIndex ];
-      m_aaiCodedOffset[ 1 ][ uiBaseViewIndex ] = aaiOffset[     uiViewIndex ][ uiBaseViewIndex ];
-    }
-  }
-}
-#endif
-#endif
+
 TComReferencePictureSet::TComReferencePictureSet()
 : m_numberOfPictures (0)
@@ -3423,11 +3293,6 @@
   assert( m_depthToDisparityF != NULL ); 
 
-#if CAM_HLS_F0136_F0045_F0082
   TComVPS* vps = getVPS(); 
-#else
-  TComSPS* sps = getSPS(); 
-#endif
-
-#if CAM_HLS_F0136_F0045_F0082
+
   Int log2Div = g_bitDepthY - 1 + vps->getCamParPrecision();
   Int viewIndex = getViewIndex();
@@ -3439,14 +3304,4 @@
   Int* invCodScale  = camParaSH ? m_aaiCodedScale [ 1 ] : vps->getInvCodedScale ( viewIndex ); 
   Int* invCodOffset = camParaSH ? m_aaiCodedOffset[ 1 ] : vps->getInvCodedOffset( viewIndex ); 
-#else
-  Int log2Div = g_bitDepthY - 1 + sps->getCamParPrecision();
-
-  Bool camParaSH = m_pcSPS->hasCamParInSliceHeader();
-
-  Int* codScale     = camParaSH ? m_aaiCodedScale [ 0 ] : sps->getCodedScale    (); 
-  Int* codOffset    = camParaSH ? m_aaiCodedOffset[ 0 ] : sps->getCodedOffset   (); 
-  Int* invCodScale  = camParaSH ? m_aaiCodedScale [ 1 ] : sps->getInvCodedScale (); 
-  Int* invCodOffset = camParaSH ? m_aaiCodedOffset[ 1 ] : sps->getInvCodedOffset(); 
-#endif
 
   for (Int i = 0; i <= ( getViewIndex() - 1); i++)
Index: /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 767)
@@ -791,17 +791,5 @@
   Bool        m_vpsDepthModesFlag        [MAX_NUM_LAYERS   ];
 
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-  Bool        m_bUseDLTFlag              [MAX_NUM_LAYERS   ];
-  
-  Int         m_iBitsPerDepthValue       [MAX_NUM_LAYERS   ];
-  Int         m_iNumDepthmapValues       [MAX_NUM_LAYERS   ];
-  Int*        m_iDepthValue2Idx          [MAX_NUM_LAYERS   ];
-  Int*        m_iIdx2DepthValue          [MAX_NUM_LAYERS   ];
-#endif
-#endif
-
 #if H_3D
-#if CAM_HLS_F0136_F0045_F0082
   UInt        m_uiCamParPrecision;
   Bool*       m_bCamParInSliceHeader;
@@ -809,5 +797,4 @@
   Int         ***m_aaaiCodedScale ;
   Int         ***m_aaaiCodedOffset;
-#endif
   Bool        m_ivMvScalingFlag; 
 #endif
@@ -1048,5 +1035,5 @@
   Void    setARPStepNum( Int layerIdInVps, UInt val )                      { m_uiARPStepNum[layerIdInVps]    = val;     }
 #endif
-#if CAM_HLS_F0136_F0045_F0082
+
   Void createCamPars(Int iNumViews);
   Void deleteCamPars();
@@ -1060,5 +1047,4 @@
   Int* getInvCodedScale      ( Int viewIndex )  { return m_aaaiCodedScale [viewIndex][1]; }
   Int* getInvCodedOffset     ( Int viewIndex )  { return m_aaaiCodedOffset[viewIndex][1]; }
-#endif
 
 #if H_3D_IV_MERGE
@@ -1081,17 +1067,4 @@
   Bool    getVpsDepthModesFlag( Int layerIdInVps )                         { return m_vpsDepthModesFlag[ layerIdInVps ]; }
 
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-  Bool    getUseDLTFlag      ( Int layerIdInVps )                         { return m_bUseDLTFlag[ layerIdInVps ]; }
-  Void    setUseDLTFlag      ( Int layerIdInVps, Bool b ) { m_bUseDLTFlag[ layerIdInVps ]  = b;          }
-  
-  Int     getBitsPerDepthValue( Int layerIdInVps )        { return getUseDLTFlag(layerIdInVps)?m_iBitsPerDepthValue[layerIdInVps]:g_bitDepthY; }
-  Int     getNumDepthValues( Int layerIdInVps )           { return getUseDLTFlag(layerIdInVps)?m_iNumDepthmapValues[layerIdInVps]:((1 << g_bitDepthY)-1); }
-  Int     depthValue2idx( Int layerIdInVps, Pel value )   { return getUseDLTFlag(layerIdInVps)?m_iDepthValue2Idx[layerIdInVps][value]:value; }
-  Pel     idx2DepthValue( Int layerIdInVps, UInt uiIdx )  { return getUseDLTFlag(layerIdInVps)?m_iIdx2DepthValue[layerIdInVps][uiIdx]:uiIdx; }
-  Void    setDepthLUTs( Int layerIdInVps, Int* idx2DepthValue = NULL, Int iNumDepthValues = 0 );
-#endif
-#endif
-
   Bool    getIvMvScalingFlag   (  )                       { return m_ivMvScalingFlag; }
   Void    setIvMvScalingFlag   ( Bool b )                 { m_ivMvScalingFlag = b;    }  
@@ -1108,5 +1081,5 @@
 };
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
 class TComDLT
 {
@@ -1684,16 +1657,4 @@
   Bool getUsePC ()         { return m_bUsePC;  }
 #endif
-#if H_3D
-#if !CAM_HLS_F0136_F0045_F0082
-  Void initCamParaSPS      (  UInt uiViewIndex, UInt uiCamParPrecision = 0, Bool bCamParSlice = false, Int** aaiScale = 0, Int** aaiOffset = 0 );
-  UInt getCamParPrecision    ()  { return m_uiCamParPrecision; }
-  Bool hasCamParInSliceHeader()  { return m_bCamParInSliceHeader; }
-  Void setHasCamParInSliceHeader( Bool b )  { m_bCamParInSliceHeader = b; }
-  Int* getCodedScale         ()  { return m_aaiCodedScale [0]; }
-  Int* getCodedOffset        ()  { return m_aaiCodedOffset[0]; }
-  Int* getInvCodedScale      ()  { return m_aaiCodedScale [1]; }
-  Int* getInvCodedOffset     ()  { return m_aaiCodedOffset[1]; }
-#endif
-#endif
 #if H_MV
   Int  getLayerId            ()           { return m_layerId; }
@@ -1801,5 +1762,5 @@
 #endif
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   TComDLT*  m_pcDLT; 
 #endif
@@ -1830,5 +1791,5 @@
   UInt      getMinCuDQPSize     ()         { return m_uiMinCuDQPSize; }
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   Void      setDLT              ( TComDLT* pcDLT ) { m_pcDLT = pcDLT; }
   TComDLT*  getDLT              ()                 { return m_pcDLT; }
Index: /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 767)
@@ -145,8 +145,4 @@
                                               // ETRIKHU_MERGE_REUSE_F0093 QC_DEPTH_IV_MRG_F0125, JCT3V-F0125: Depth oriented Inter-view MV candidate
                                               // EC_MPI_ENABLING_MERGE_F0150, MPI flag in VPS and enabling in Merge mode
-
-
-
-
 #define H_3D_TMVP                         1   // QC_TMVP_C0047 
                                               // Sony_M23639
@@ -195,9 +191,4 @@
 #endif
 
-#define CAM_HLS_F0136_F0045_F0082         1   // JCT3V-F0136/F0045: view order index based camera parameter signaling 
-                                              // JCT3V-F0082: the cp_in_slice_segment_layer_flag to be view specific and used as a condition of the presence of slice header level camera parameters
-#define CAM_HLS_F0044                     1   // JCT3V-F0044: move camera parameter from slice header extension to slice header
-
-
 // Rate Control
 #define KWU_FIX_URQ                       1
@@ -242,9 +233,5 @@
 
 #if H_3D_DIM_DLT
-#define DLT_DIFF_CODING_IN_PPS            1   // moving DLT syntax elements from VPS to PPS and differential coding of DLT values
-                                              // JCT3V-F0131, JCT3V-F0139
-#if DLT_DIFF_CODING_IN_PPS
-#define Log2( n ) ( log((double)n) / log(2.0) )
-#endif
+#define Log2( n ) ( log((double)n) / log(2.0) ) // Ed.(GT): This is very very bad and should be fixed to used integer arithmetics ( see gCeilLog2 ) moreover it should not be defined in the tool macro section! 
 #define H_3D_DELTA_DLT                    1
 #endif
Index: /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 767)
@@ -215,5 +215,5 @@
 }
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
 Void TDecCavlc::parsePPS(TComPPS* pcPPS, TComVPS* pcVPS )
 #else
@@ -368,5 +368,5 @@
   if (uiCode)
   {
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
     parsePPSExtension( pcPPS, pcVPS );
     READ_FLAG( uiCode, "pps_extension2_flag");
@@ -378,13 +378,14 @@
         READ_FLAG( uiCode, "pps_extension_data_flag");
       }
-#if DLT_DIFF_CODING_IN_PPS
-    }
-#endif
-  }
-}
-
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
+    }
+#endif
+  }
+}
+
+#if H_3D
 Void TDecCavlc::parsePPSExtension( TComPPS* pcPPS, TComVPS* pcVPS )
 {
+  //Ed.(GT): pcVPS should not be used here. Needs to be fixed. 
   UInt uiCode = 0; 
   TComDLT* pcDLT = new TComDLT;
@@ -1005,26 +1006,4 @@
   }
 #endif
-
-#if !CAM_HLS_F0136_F0045_F0082
-  UInt uiCamParPrecision = 0; 
-  Bool bCamParSlice      = false; 
-  if ( !depthFlag )
-  {      
-    READ_UVLC( uiCamParPrecision, "cp_precision" );
-    READ_FLAG( uiCode, "cp_in_slice_header_flag" );    bCamParSlice = ( uiCode == 1 );
-    if( !bCamParSlice )
-    {       
-      for( UInt uiBaseIndex = 0; uiBaseIndex < viewIndex; uiBaseIndex++ )
-      {
-        Int iCode; 
-        READ_SVLC( iCode, "cp_scale" );                m_aaiTempScale  [ uiBaseIndex ][ viewIndex ]   = iCode;
-        READ_SVLC( iCode, "cp_off" );                  m_aaiTempOffset [ uiBaseIndex ][ viewIndex ]   = iCode;
-        READ_SVLC( iCode, "cp_inv_scale_plus_scale" ); m_aaiTempScale  [ viewIndex   ][ uiBaseIndex ] = iCode - m_aaiTempScale [ uiBaseIndex ][ viewIndex ];
-        READ_SVLC( iCode, "cp_inv_off_plus_off" );     m_aaiTempOffset [ viewIndex   ][ uiBaseIndex ] = iCode - m_aaiTempOffset[ uiBaseIndex ][ viewIndex ];
-      }
-    }
-  }
-  pcSPS->initCamParaSPS( viewIndex, uiCamParPrecision, bCamParSlice, m_aaiTempScale, m_aaiTempOffset ); 
-#endif
 }
 #endif
@@ -1132,7 +1111,5 @@
 #if H_3D
       m_pcBitstream->readOutTrailingBits();
-#if CAM_HLS_F0136_F0045_F0082
       pcVPS->createCamPars(pcVPS->getNumViews());
-#endif
       parseVPSExtension2( pcVPS );   
       READ_FLAG( uiCode,  "vps_extension3_flag" );
@@ -1742,32 +1719,4 @@
         READ_FLAG( uiCode, "vps_depth_modes_flag[i]" );             pcVPS->setVpsDepthModesFlag( i, uiCode == 1 ? true : false );
         //          READ_FLAG( uiCode, "lim_qt_pred_flag[i]");                  pcVPS->setLimQtPreFlag     ( i, uiCode == 1 ? true : false ); 
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-        if( pcVPS->getVpsDepthModesFlag( i ) )
-        {
-          READ_FLAG( uiCode, "dlt_flag[i]" );                       pcVPS->setUseDLTFlag( i, uiCode == 1 ? true : false );
-        }
-        if( pcVPS->getUseDLTFlag( i ) )
-        {
-          // decode mapping
-          UInt uiNumDepthValues;
-          // parse number of values in DLT
-          READ_UVLC(uiNumDepthValues, "num_depth_values_in_dlt[i]");
-
-          // parse actual DLT values
-          Int* aiIdx2DepthValue = (Int*) calloc(uiNumDepthValues, sizeof(Int));
-          for(Int d=0; d<uiNumDepthValues; d++)
-          {
-            READ_UVLC(uiCode, "dlt_depth_value[i][d]");
-            aiIdx2DepthValue[d] = (Int)uiCode;
-          }
-
-          pcVPS->setDepthLUTs(i, aiIdx2DepthValue, uiNumDepthValues);
-
-          // clean memory
-          free(aiIdx2DepthValue);
-        }
-#endif
-#endif
 #if H_3D_INTER_SDC
             READ_FLAG( uiCode, "depth_inter_SDC_flag" );              pcVPS->setInterSDCFlag( i, uiCode ? true : false );
@@ -1776,5 +1725,5 @@
     }
   }
-#if CAM_HLS_F0136_F0045_F0082
+
   UInt uiCamParPrecision = 0; 
   Bool bCamParSlice      = false; 
@@ -1802,5 +1751,5 @@
     }
   }
-#endif
+
   READ_FLAG( uiCode, "iv_mv_scaling_flag");                       pcVPS->setIvMvScalingFlag( uiCode == 1 ? true : false ); 
 }
@@ -2462,10 +2411,6 @@
   }
 
-#if CAM_HLS_F0044
-#if CAM_HLS_F0136_F0045_F0082
+#if H_3D
   if( rpcSlice->getVPS()->hasCamParInSliceHeader( rpcSlice->getViewIndex() )  && !rpcSlice->getIsDepth() )
-#else
-  if( rpcSlice->getSPS()->hasCamParInSliceHeader() )
-#endif
   {
     UInt uiViewIndex = rpcSlice->getViewIndex();
@@ -2479,5 +2424,4 @@
     rpcSlice->setCamparaSlice( m_aaiTempScale, m_aaiTempOffset );
   }
-
 #endif
 
@@ -2485,34 +2429,5 @@
   {
     READ_UVLC(uiCode,"slice_header_extension_length");
-#if H_3D && !CAM_HLS_F0044
-#if CAM_HLS_F0136_F0045_F0082
-    if( rpcSlice->getVPS()->hasCamParInSliceHeader( rpcSlice->getViewIndex() )  && !rpcSlice->getIsDepth() )
-#else
-    if( rpcSlice->getSPS()->hasCamParInSliceHeader() )
-#endif
-    {
-      UInt uiViewIndex = rpcSlice->getViewIndex();
-      for( UInt uiBaseIndex = 0; uiBaseIndex < uiViewIndex; uiBaseIndex++ )
-      {
-        READ_SVLC( iCode, "cp_scale" );                m_aaiTempScale [ uiBaseIndex ][ uiViewIndex ] = iCode;
-        READ_SVLC( iCode, "cp_off" );                  m_aaiTempOffset[ uiBaseIndex ][ uiViewIndex ] = iCode;
-        READ_SVLC( iCode, "cp_inv_scale_plus_scale" ); m_aaiTempScale [ uiViewIndex ][ uiBaseIndex ] = iCode - m_aaiTempScale [ uiBaseIndex ][ uiViewIndex ];
-        READ_SVLC( iCode, "cp_inv_off_plus_off" );     m_aaiTempOffset[ uiViewIndex ][ uiBaseIndex ] = iCode - m_aaiTempOffset[ uiBaseIndex ][ uiViewIndex ];
-      }
-      rpcSlice->setCamparaSlice( m_aaiTempScale, m_aaiTempOffset );
-    }
-
-    READ_FLAG(uiCode,"slice_segment_header_extension2_flag"); 
-    if ( uiCode )
-    {    
-      READ_UVLC(uiCode,"slice_header_extension2_length");
-      for(Int i=0; i<uiCode; i++)
-      {
-        UInt ignore;
-        READ_CODE(8,ignore,"slice_header_extension2_data_byte");
-      }
-    }
-  }
-#else
+
     for(Int i=0; i<uiCode; i++)
     {
@@ -2521,5 +2436,5 @@
     }
   }
-#endif
+
   m_pcBitstream->readByteAlignment();
 
Index: /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 767)
@@ -96,5 +96,5 @@
 #endif
 
-#if H_3D && DLT_DIFF_CODING_IN_PPS
+#if H_3D
   Void  parsePPS            ( TComPPS* pcPPS, TComVPS* pcVPS );
   Void  parsePPSExtension   ( TComPPS* pcPPS, TComVPS* pcVPS );
Index: /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 767)
@@ -754,20 +754,12 @@
     {
 #if H_3D
-#if DLT_DIFF_CODING_IN_PPS
       if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getPPS()->getDLT()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
-#else
-      if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getVPS()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
-#endif
-        {
-#if DLT_DIFF_CODING_IN_PPS
-          pReco    [ uiX ] = pcCU->getSlice()->getPPS()->getDLT()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), Clip3( 0, pcCU->getSlice()->getPPS()->getDLT()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() ) - 1, pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] ) + pResi[ uiX ] ) );
-#else
-          pReco    [ uiX ] = pcCU->getSlice()->getVPS()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), Clip3( 0, pcCU->getSlice()->getVPS()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() ) - 1, pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] ) + pResi[ uiX ] ) );
-#endif
-        }
-        else
-        {
-      pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
-        }
+      {
+        pReco    [ uiX ] = pcCU->getSlice()->getPPS()->getDLT()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), Clip3( 0, pcCU->getSlice()->getPPS()->getDLT()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() ) - 1, pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] ) + pResi[ uiX ] ) );
+      }
+      else
+      {
+        pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
+      }
 #endif
       pRecIPred[ uiX ] = pReco[ uiX ];
@@ -979,13 +971,7 @@
   {
 #if H_3D_DIM_DLT
-#if DLT_DIFF_CODING_IN_PPS
     Pel   pPredIdx    = pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), apDCPredValues[uiSegment] );
     Pel   pResiIdx    = pcCU->getSDCSegmentDCOffset(uiSegment, uiAbsPartIdx);
     Pel   pRecoValue  = pcCU->getSlice()->getPPS()->getDLT()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), pPredIdx + pResiIdx );
-#else
-    Pel   pPredIdx    = pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), apDCPredValues[uiSegment] );
-    Pel   pResiIdx    = pcCU->getSDCSegmentDCOffset(uiSegment, uiAbsPartIdx);
-    Pel   pRecoValue  = pcCU->getSlice()->getVPS()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), pPredIdx + pResiIdx );
-#endif
 
     apDCResiValues[uiSegment]  = pRecoValue - apDCPredValues[uiSegment];
Index: /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecEntropy.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecEntropy.h	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecEntropy.h	(revision 767)
@@ -71,5 +71,5 @@
   virtual Void  parseSPS                  ( TComSPS* pcSPS )                                      = 0;
 #endif
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   virtual Void  parsePPS                  ( TComPPS* pcPPS, TComVPS* pcVPS )                      = 0;
 #else
@@ -152,5 +152,5 @@
   Void    decodeSPS                   ( TComSPS* pcSPS     )    { m_pcEntropyDecoderIf->parseSPS(pcSPS);                    }
 #endif
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   Void    decodePPS                   ( TComPPS* pcPPS, TComVPS* pcVPS )    { m_pcEntropyDecoderIf->parsePPS(pcPPS, pcVPS);                    }
 #else
Index: /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 767)
@@ -442,9 +442,5 @@
   
 #if H_3D_DIM_DLT
-#if DLT_DIFF_CODING_IN_PPS
   UInt uiMaxResidualBits = pcCU->getSlice()->getPPS()->getDLT()->getBitsPerDepthValue( pcCU->getSlice()->getLayerIdInVps() );
-#else
-  UInt uiMaxResidualBits = pcCU->getSlice()->getVPS()->getBitsPerDepthValue( pcCU->getSlice()->getLayerIdInVps() );
-#endif
 #else
   UInt uiMaxResidualBits = g_bitDepthY;
@@ -470,9 +466,5 @@
     UInt uiCount = 0;
 #if H_3D_DIM_DLT
-#if DLT_DIFF_CODING_IN_PPS
     UInt uiNumDepthValues = pcCU->getSlice()->getPPS()->getDLT()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() );
-#else
-    UInt uiNumDepthValues = pcCU->getSlice()->getVPS()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() );
-#endif
 #else
     UInt uiNumDepthValues = ((1 << g_bitDepthY)-1);
Index: /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 767)
@@ -81,5 +81,5 @@
   Void  parseSPS                  ( TComSPS* /*pcSPS*/ ) {}
 #endif
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   Void  parsePPS                  ( TComPPS* /*pcPPS*/, TComVPS* /*pcVPS*/ ) {}
 #else
Index: /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 767)
@@ -228,5 +228,5 @@
     m_uiMaxViewIndex                     = std::max( m_uiMaxViewIndex, uiViewIndex );
     m_aiViewId[ uiViewIndex ]            = pcSlice->getViewId();
-#if CAM_HLS_F0136_F0045_F0082
+
     if( uiViewIndex == 1 )
     {
@@ -239,16 +239,5 @@
       AOF( m_bCamParsVaryOverTime    == pcSlice->getVPS()->hasCamParInSliceHeader ( uiViewIndex ) );
     }
-#else
-    if( uiViewIndex == 1 )
-    {
-      m_uiCamParsCodedPrecision       = pcSlice->getSPS()->getCamParPrecision     ();
-      m_bCamParsVaryOverTime          = pcSlice->getSPS()->hasCamParInSliceHeader ();
-    }
-    else if( uiViewIndex > 1 )
-    {
-      AOF( m_uiCamParsCodedPrecision == pcSlice->getSPS()->getCamParPrecision     () );
-      AOF( m_bCamParsVaryOverTime    == pcSlice->getSPS()->hasCamParInSliceHeader () );
-    }
-#endif
+
     for( UInt uiBaseIndex = 0; uiBaseIndex < uiViewIndex; uiBaseIndex++ )
     {
@@ -264,15 +253,8 @@
       else
       {
-#if CAM_HLS_F0136_F0045_F0082
         m_aaiCodedScale [ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getVPS()->getCodedScale    (uiViewIndex) [ uiBaseIndex ];
         m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getVPS()->getCodedOffset   (uiViewIndex) [ uiBaseIndex ];
         m_aaiCodedScale [ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getVPS()->getInvCodedScale (uiViewIndex) [ uiBaseIndex ];
         m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getVPS()->getInvCodedOffset(uiViewIndex) [ uiBaseIndex ];
-#else
-        m_aaiCodedScale [ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getSPS()->getCodedScale    () [ uiBaseIndex ];
-        m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ]  = pcSlice->getSPS()->getCodedOffset   () [ uiBaseIndex ];
-        m_aaiCodedScale [ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getSPS()->getInvCodedScale () [ uiBaseIndex ];
-        m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ]  = pcSlice->getSPS()->getInvCodedOffset() [ uiBaseIndex ];
-#endif
         xInitLUTs( uiBaseIndex, uiViewIndex, m_aaiCodedScale[ uiBaseIndex ][ uiViewIndex ], m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT );
         xInitLUTs( uiViewIndex, uiBaseIndex, m_aaiCodedScale[ uiViewIndex ][ uiBaseIndex ], m_aaiCodedOffset[ uiViewIndex ][ uiBaseIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT );
@@ -306,9 +288,4 @@
 CamParsCollector::copyCamParamForSlice( TComSlice* pcSlice )
 {
-#if !CAM_HLS_F0136_F0045_F0082
-  UInt uiViewIndex = pcSlice->getViewIndex();
-
-  pcSlice->getSPS()->initCamParaSPS( uiViewIndex, m_uiCamParsCodedPrecision, m_bCamParsVaryOverTime, m_aaiCodedScale, m_aaiCodedOffset );
-#endif
   if( m_bCamParsVaryOverTime )
   {
@@ -1111,12 +1088,4 @@
     m_pcCamParsCollector->setSlice( pcSlice );
   }
-#if H_3D_IV_MERGE
-  if( pcSlice->getIsDepth() )
-  {
-#if !CAM_HLS_F0136_F0045_F0082
-    pcSlice->getSPS()->setHasCamParInSliceHeader( false );
-#endif
-  }
-#endif
 #endif
   m_bFirstSliceInPicture = false;
@@ -1158,5 +1127,5 @@
   pps->setLayerId( getLayerId() ); 
 #endif
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   // Assuming that all PPS indirectly refer to the same VPS via different SPS
   // There is no parsing dependency in decoding DLT in PPS. 
@@ -1165,5 +1134,5 @@
   //   Step 1) decoding DLT tables based on the number of depth layers, and
   //   Step 2) mapping DLT tables to the depth layers
-  // as descripted in the 3D-HEVC WD. 
+  // as described in the 3D-HEVC WD. 
   TComVPS* vps = m_parameterSetManagerDecoder.getPrefetchedVPS( 0 );
   m_cEntropyDecoder.decodePPS( pps, vps );
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 767)
@@ -282,5 +282,5 @@
   WRITE_FLAG( pcPPS->getSliceHeaderExtensionPresentFlag() ? 1 : 0, "slice_segment_header_extension_present_flag");
 
-#if !DLT_DIFF_CODING_IN_PPS
+#if !H_3D
   WRITE_FLAG( 0, "pps_extension_flag" );
 #else
@@ -291,5 +291,5 @@
 }
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
 Void  TEncCavlc::codePPSExtension        ( TComPPS* pcPPS )
 {
@@ -300,5 +300,5 @@
   //   Step 1) decoding DLT tables based on the number of depth layers, and
   //   Step 2) mapping DLT tables to the depth layers
-  // as descripted in the 3D-HEVC WD.
+  // as described in the 3D-HEVC WD.
   TComVPS* pcVPS = pcPPS->getSPS()->getVPS();
 
@@ -857,21 +857,4 @@
 }
 #endif
-#if !CAM_HLS_F0136_F0045_F0082
-if (!depthFlag )
-{
-  WRITE_UVLC( pcSPS->getCamParPrecision(), "cp_precision" );
-  WRITE_FLAG( pcSPS->hasCamParInSliceHeader() ? 1 : 0, "cp_in_slice_header_flag" );
-  if( !pcSPS->hasCamParInSliceHeader() )
-  {
-    for( UInt uiIndex = 0; uiIndex < viewIndex; uiIndex++ )
-    {
-      WRITE_SVLC( pcSPS->getCodedScale    ()[ uiIndex ],                                      "cp_scale" );
-      WRITE_SVLC( pcSPS->getCodedOffset   ()[ uiIndex ],                                      "cp_off" );
-      WRITE_SVLC( pcSPS->getInvCodedScale ()[ uiIndex ] + pcSPS->getCodedScale ()[ uiIndex ], "cp_inv_scale_plus_scale" );
-      WRITE_SVLC( pcSPS->getInvCodedOffset()[ uiIndex ] + pcSPS->getCodedOffset()[ uiIndex ], "cp_inv_off_plus_off" );
-    }
-  }
-}
-#endif
 }
 #endif
@@ -1545,21 +1528,4 @@
         WRITE_FLAG( pcVPS->getVpsDepthModesFlag( i ) ? 1 : 0 ,          "vps_depth_modes_flag[i]" );
         //WRITE_FLAG( pcVPS->getLimQtPredFlag    ( i ) ? 1 : 0 ,          "lim_qt_pred_flag[i]"     ); 
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-        if( pcVPS->getVpsDepthModesFlag( i ) )
-        {
-          WRITE_FLAG( pcVPS->getUseDLTFlag( i ) ? 1 : 0, "dlt_flag[i]" );
-        }
-        if( pcVPS->getUseDLTFlag( i ) )
-        {
-          // code mapping
-          WRITE_UVLC(pcVPS->getNumDepthValues(i), "num_depth_values_in_dlt[i]");
-          for(Int d=0; d<pcVPS->getNumDepthValues(i); d++)
-          {
-            WRITE_UVLC( pcVPS->idx2DepthValue(i, d), "dlt_depth_value[i][d]" );
-          }
-        }
-#endif
-#endif
 #if H_3D_INTER_SDC
         WRITE_FLAG( pcVPS->getInterSDCFlag( i ) ? 1 : 0, "depth_inter_SDC_flag" );
@@ -1568,5 +1534,4 @@
     }  
   }
-#if CAM_HLS_F0136_F0045_F0082
   WRITE_UVLC( pcVPS->getCamParPrecision(), "cp_precision" );
   for (UInt viewIndex=0; viewIndex<pcVPS->getNumViews(); viewIndex++)
@@ -1588,5 +1553,4 @@
     }
   }
-#endif
 #if H_3D_TMVP
   WRITE_FLAG( pcVPS->getIvMvScalingFlag( ) ? 1 : 0 ,          "iv_mv_scaling_flag" );
@@ -2036,10 +2000,6 @@
     }
   }
-#if CAM_HLS_F0044
-#if CAM_HLS_F0136_F0045_F0082
+#if H_3D
   if( pcSlice->getVPS()->hasCamParInSliceHeader( pcSlice->getViewIndex() ) && !pcSlice->getIsDepth() )
-#else
-  if( pcSlice->getSPS()->hasCamParInSliceHeader() && !pcSlice->getIsDepth() )
-#endif
   {
     for( UInt uiId = 0; uiId < pcSlice->getViewIndex(); uiId++ )
@@ -2059,30 +2019,5 @@
 #endif
   {
-#if !H_3D || CAM_HLS_F0044
     WRITE_UVLC(0,"slice_header_extension_length");
-#else
-    WRITE_UVLC(0,"slice_header_extension_length"); //<- this element needs to be set to the correct value!!
-#if CAM_HLS_F0136_F0045_F0082
-    if( pcSlice->getVPS()->hasCamParInSliceHeader( pcSlice->getViewIndex() ) && !pcSlice->getIsDepth() )
-#else
-    if( pcSlice->getSPS()->hasCamParInSliceHeader() && !pcSlice->getIsDepth() )
-#endif
-    {
-      for( UInt uiId = 0; uiId < pcSlice->getViewIndex(); uiId++ )
-      {
-        WRITE_SVLC( pcSlice->getCodedScale    ()[ uiId ],                                     "cp_scale" );
-        WRITE_SVLC( pcSlice->getCodedOffset   ()[ uiId ],                                     "cp_off" );
-        WRITE_SVLC( pcSlice->getInvCodedScale ()[ uiId ] + pcSlice->getCodedScale ()[ uiId ], "cp_inv_scale_plus_scale" );
-        WRITE_SVLC( pcSlice->getInvCodedOffset()[ uiId ] + pcSlice->getCodedOffset()[ uiId ], "cp_inv_off_plus_off" );
-      }
-    }
-
-    Bool sliceSegmentHeaderExtension2Flag = false; 
-    WRITE_FLAG( sliceSegmentHeaderExtension2Flag ? 1 : 0 , "slice_segment_header_extension2_flag" ); 
-    if ( sliceSegmentHeaderExtension2Flag )
-    {
-      WRITE_UVLC(0,"slice_header_extension2_length");
-    }
-#endif
   }
 }
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.h	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCavlc.h	(revision 767)
@@ -107,5 +107,5 @@
   Void  codePPS                 ( TComPPS* pcPPS );
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   Void  codePPSExtension        ( TComPPS* pcPPS );
 #endif
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCfg.h	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncCfg.h	(revision 767)
@@ -331,5 +331,5 @@
 #endif
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   TComDLT*  m_cDLT;
 #endif
@@ -870,5 +870,5 @@
 #endif
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   Void      setDLT           ( TComDLT *p ) { m_cDLT = p; }
   TComDLT*  getDLT           ()             { return m_cDLT; }
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 767)
@@ -538,9 +538,5 @@
 
 #if H_3D_DIM_DLT
-#if DLT_DIFF_CODING_IN_PPS
   UInt uiMaxResidualBits = pcCU->getSlice()->getPPS()->getDLT()->getBitsPerDepthValue( pcCU->getSlice()->getLayerIdInVps() );
-#else
-  UInt uiMaxResidualBits = pcCU->getSlice()->getVPS()->getBitsPerDepthValue( pcCU->getSlice()->getLayerIdInVps() );
-#endif
 #else
   UInt uiMaxResidualBits = g_bitDepthY;
@@ -561,14 +557,10 @@
     DTRACE_CU("sdc_residual_sign_flag[i]", uiSign)
 #endif
-    
-#if H_3D_DIM_DLT
-#if DLT_DIFF_CODING_IN_PPS
-      UInt uiNumDepthValues = pcCU->getSlice()->getPPS()->getDLT()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() );
-#else
-      UInt uiNumDepthValues = pcCU->getSlice()->getVPS()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() );
-#endif
+#if H_3D_DIM_DLT    
+    UInt uiNumDepthValues = pcCU->getSlice()->getPPS()->getDLT()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() );
 #else
     UInt uiNumDepthValues = ((1 << g_bitDepthY)-1);
 #endif
+
     assert(uiAbsIdx <= uiNumDepthValues);
     
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 767)
@@ -1935,9 +1935,5 @@
     // get residual (idx)
 #if H_3D_DIM_DLT
-#if DLT_DIFF_CODING_IN_PPS
     Pel pResidualIdx = pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pDCRec ) - pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), apDCPredValues[uiSegment] );
-#else
-    Pel pResidualIdx = pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pDCRec ) - pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), apDCPredValues[uiSegment] );
-#endif
 #else
     Pel pResidualIdx = pDCRec - apDCPredValues[uiSegment];
@@ -1953,13 +1949,7 @@
   {
 #if H_3D_DIM_DLT
-#if DLT_DIFF_CODING_IN_PPS
     Pel   pPredIdx    = pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), apDCPredValues[uiSegment] );
     Pel   pResiIdx    = pcCU->getSDCSegmentDCOffset(uiSegment, uiAbsPartIdx);
     Pel   pRecoValue  = pcCU->getSlice()->getPPS()->getDLT()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), pPredIdx + pResiIdx );
-#else
-    Pel   pPredIdx    = pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), apDCPredValues[uiSegment] );
-    Pel   pResiIdx    = pcCU->getSDCSegmentDCOffset(uiSegment, uiAbsPartIdx);
-    Pel   pRecoValue  = pcCU->getSlice()->getVPS()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), pPredIdx + pResiIdx );
-#endif
 
     apDCResiValues[uiSegment]  = pRecoValue - apDCPredValues[uiSegment];
@@ -7295,11 +7285,6 @@
 
 #if H_3D_DIM_DLT
-#if DLT_DIFF_CODING_IN_PPS
   rDeltaDC1 = pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), ClipY(predDC1 + rDeltaDC1) ) - pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), predDC1 );
   rDeltaDC2 = pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), ClipY(predDC2 + rDeltaDC2) ) - pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), predDC2 );
-#else
-  rDeltaDC1 = pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), ClipY(predDC1 + rDeltaDC1) ) - pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), predDC1 );
-  rDeltaDC2 = pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), ClipY(predDC2 + rDeltaDC2) ) - pcCU->getSlice()->getVPS()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), predDC2 );
-#endif
 #endif
 }
Index: /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 766)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 767)
@@ -299,5 +299,5 @@
 {
   // initialize SPS
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   // Assuming that all PPS indirectly refer to the same VPS via different SPS
   m_cSPS.setVPS(m_cVPS);
@@ -843,11 +843,4 @@
     pcVUI->setLog2MaxMvLengthVertical(getLog2MaxMvLengthVertical());
   }
-#if H_3D
-#if !CAM_HLS_F0136_F0045_F0082
-  {
-    m_cSPS.initCamParaSPS           ( m_viewIndex, m_uiCamParPrecision, m_bCamParInSliceHeader, m_aaiCodedScale, m_aaiCodedOffset );
-  }
-#endif
-#endif
 }
 
@@ -864,5 +857,5 @@
 #endif
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   m_cPPS.setDLT( getDLT() );
 #endif
@@ -995,9 +988,5 @@
   }
 #if H_3D
-#if CAM_HLS_F0136_F0045_F0082
   if( m_cVPS->hasCamParInSliceHeader( getViewIndex() ) )
-#else
-  if( m_cSPS.hasCamParInSliceHeader() )
-#endif
   {
     m_cPPS.setSliceHeaderExtensionPresentFlag( true ); 
